> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get stock holders and history



## OpenAPI

````yaml /openapi.json get /stocks/{stockKey}
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /stocks/{stockKey}:
    get:
      tags:
        - Stocks
      summary: Get stock holders and history
      operationId: getStock
      parameters:
        - $ref: '#/components/parameters/StockKeyPath'
        - $ref: '#/components/parameters/Limit'
      responses:
        '200':
          description: Stock detail with latest fund holders and aggregate history.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StockDetail'
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    StockKeyPath:
      name: stockKey
      in: path
      required: true
      description: >-
        URL-safe stock key from the stocks list, usually the normalized
        ticker/security.
      schema:
        type: string
    Limit:
      name: limit
      in: query
      required: false
      description: Maximum number of rows to return.
      schema:
        type: integer
        minimum: 1
        maximum: 500
  schemas:
    StockDetail:
      type: object
      properties:
        stock:
          $ref: '#/components/schemas/StockSummary'
        holders:
          type: array
          items:
            $ref: '#/components/schemas/StockHolding'
        holder_limit:
          type: integer
        holder_total:
          type: integer
        history:
          type: array
          items:
            $ref: '#/components/schemas/StockHistoryPoint'
      required:
        - stock
        - holders
        - holder_limit
        - holder_total
        - history
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        routes:
          type: array
          items:
            type: string
    StockSummary:
      type: object
      properties:
        key:
          type: string
        security:
          type: string
          nullable: true
        issuer:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        sections:
          type: array
          items:
            type: string
        entry_count:
          type: integer
        document_count:
          type: integer
        fund_count:
          type: integer
        latest_holder_count:
          type: integer
        latest_market_value:
          type: number
          nullable: true
        average_weight:
          type: number
          nullable: true
        max_weight:
          type: number
          nullable: true
        latest_period:
          type: string
          nullable: true
    StockHolding:
      type: object
      properties:
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        report_date:
          type: string
          nullable: true
        pdf_url:
          type: string
          nullable: true
        kap_file_url:
          type: string
          nullable: true
        kap_url:
          type: string
          nullable: true
        section:
          type: string
          nullable: true
        security:
          type: string
          nullable: true
        issuer:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        entries_count:
          type: integer
        market_value:
          type: string
          nullable: true
        numeric_market_value:
          type: number
          nullable: true
        nominal_value:
          type: string
          nullable: true
        numeric_nominal_value:
          type: number
          nullable: true
        portfolio_weight:
          type: number
          nullable: true
        weight_source:
          type: string
          nullable: true
    StockHistoryPoint:
      type: object
      properties:
        period:
          type: string
          nullable: true
        report_date:
          type: string
          nullable: true
        disclosure_index:
          type: string
          nullable: true
        fund_count:
          type: integer
        document_count:
          type: integer
        market_value:
          type: number
          nullable: true
        average_weight:
          type: number
          nullable: true
        max_weight:
          type: number
          nullable: true

````